CVE-2022-32226 – An improper access control vulnerability exists in Rocket.Chat <v5, <v4.8.2 and < …

Vuln ID: CVE-2022-32226

Published:  2022-09-23  19:15:11Z

Description: An improper access control vulnerability exists in Rocket.Chat <v5, <v4.8.2 and <v4.7.5 due to input data in the getUsersOfRoom Meteor server method is not type validated, so that MongoDB query operator objects are accepted by the server, so that instead of a matching rid String a$regex query can be executed, bypassing the room access permission check for every but the first matching room.

Source: NVD.NIST.GOV